edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter

## Class DefaultTextSegmenter

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.AbstractTextSegmenter
    - - edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.C99TextSegmenter
      - - edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.DefaultTextSegmenter

- All Implemented Interfaces:
    TextSegmenter, IsCloseable, UsesLogger

      public class DefaultTextSegmenter
      extends C99TextSegmenter
      implements TextSegmenter

  DefaultTextSegmenter: The default MorphAdorner text segmenter.

  Choi's C99 segmenter is the default MorphAdorner text segmenter.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.C99TextSegmenter

      `maskSize, segmentsWanted`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.AbstractTextSegmenter

      `logger, stemmer, stopWords`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTextSegmenter()` Create the default segmenter.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.C99TextSegmenter

      `getMaskSize, getSegmentPositions, getSegmentsWanted, setMaskSize, setSegmentsWanted`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.AbstractTextSegmenter

      `getLogger, getStemmer, getStopWords, setLogger, setStemmer, setStopWords`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.TextSegmenter

      `getSegmentPositions`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### DefaultTextSegmenter

          public DefaultTextSegmenter()

      Create the default segmenter.